#include <iostream>
#include "coche.h"
#include "propietario.h"
#include "Propietario2.h"
using namespace std;
int main(){

	char nombre[N],dni[D];
	
	//Actividad A
	cout<<"Introduce el nombre: ";
	cin>>nombre;
	cout<<"Introduce el DNI (01234567-z): ";
	cin>>dni;

	//Construimos el objeto de la Composicion
	Propietario2 p2=Propietario2(nombre,dni);
	coche ch2=coche("3131-SBC","Audi A3","Rojo");
	p2.ponCh(ch2);
	cout<<endl;
	cout<<"PROPIETARIO 2 Nombre: "<<p2.dameNombre()<<" Dni: "<<p2.dameDni()<<endl;
	cout<<endl;
	cout<<"COCHE 2 Matricula: "<<p2.dameCh().dameMatricula()<<" Modelo: "<<p2.dameCh().dameModelo()<<" Color: "<<p2.dameCh().dameColor()<<endl;

	//Cambiamos el color a rosa
	cout<<endl;
	system("pause");
	system("cls");

	p2.dameRefCoche()->ponColor("Rosa");
	cout<<endl<<"El coche combiado al color rosa: "<<endl;
	cout<<endl;
	cout<<"PROPIETARIO 2 Nombre: "<<p2.dameNombre()<<" Dni: "<<p2.dameDni()<<endl;
	cout<<endl;
	cout<<"COCHE 2 Matricula: "<<p2.dameCh().dameMatricula()<<" Modelo: "<<p2.dameCh().dameModelo()<<" Color: "<<p2.dameCh().dameColor()<<endl;
	cout<<endl;
	system("pause");

	system("cls");

	//Actividad B
	
	cout<<"Introduce el nombre: ";
	cin>>nombre;
	cout<<"Introduce el DNI (01234567-z): ";
	cin>>dni;

	//Construimos el objeto de la Asociacion
	coche c1=coche("1818-SBC","Opel Corsa","Verde");
	propietario p1=propietario(nombre,dni);
	p1.ponCh(&c1);
	cout<<endl;
	cout<<"PROPIETARIO Nombre: "<<p1.dameNombre()<<" Dni: "<<p1.dameDni()<<endl;
	cout<<endl;
	cout<<"COCHE Matricula: "<<p1.dameCh()->dameMatricula()<<" Modelo: "<<p1.dameCh()->dameModelo()<<" Color: "<<p1.dameCh()->dameColor()<<endl;

	//Cambiamos el color a azul
	cout<<endl;
	system("pause");
	system("cls");

	p1.dameCh()->ponColor("Azul");
	cout<<endl<<"El coche combiado al color azul: "<<endl;
	cout<<endl;
	cout<<"PROPIETARIO Nombre: "<<p1.dameNombre()<<" Dni: "<<p1.dameDni()<<endl;
	cout<<endl;
	cout<<"COCHE Matricula: "<<p1.dameCh()->dameMatricula()<<" Modelo: "<<p1.dameCh()->dameModelo()<<" Color: "<<p1.dameCh()->dameColor()<<endl;
	cout<<endl;
	system("pause");

	return(0);
}